# getAvailableQsProviders

**POST api/qs/getAvailableQsProviders**

### Request

{% tabs %}
{% tab title="Schema" %}

```json
{
  "instrument": <string>
}
```

{% endtab %}

{% tab title="Example" %}

```json
{
  "instrument": "BTC-USD"
}
```

{% endtab %}
{% endtabs %}

#### Request Fields

| Field      | Type   | Description               |
| ---------- | ------ | ------------------------- |
| instrument | string | Instrument name, optional |

### Response

{% tabs %}
{% tab title="Schema" %}

```json
{
  "providers": {
    "<instrument_name>": [
      <Efx::ClientId>
    ]
  },
  "providerSupportedOrderTypes": {
    "<Efx::ClientId>": [<string>]
  }
}
```

{% endtab %}

{% tab title="Example" %}

<pre class="language-json"><code class="lang-json"><strong>{
</strong><strong>  "providers": {
</strong>    "BTC-EUR": [1],
    "BTC-USD": [1]
  },
  "providerSupportedOrderTypes": {
    "1": ["limitFOK", "limitIOC"]
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

#### Response Fields

| Field                       | Type  | Description                                                                                                                                                                                                |
| --------------------------- | ----- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| providers                   | dict  |                                                                                                                                                                                                            |
| \<instrument\_name>         | array | List of IDs for available providers for the instrument \<instrument\_name>                                                                                                                                 |
| providerSupportedOrderTypes | dict  |                                                                                                                                                                                                            |
| \<Efx::ClientID>            | array | <p>List of taker order types supported by the provider with the corresponding FM ID.</p><p>The array may contain one or more of the following values: "limitFOK", "limitIOC", "marketFOK", "marketIOC"</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/getavailableqsproviders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
